(*
 This is a batch file utility to return a random number for
insertion into the environment. Usage is:
RNSET [text] [number]  where "text" is the name of the environment
variable, and "number" is the range for the random number to be generated.

 For example, RNSET DAYS 6 ,would create a one line batch file,
"DAYS.BAT"  with the text, Set DAYS=?,
where "?" is a random number between 0 and 6.
*)

  Procedure errortext;
    Begin
     WriteLn('Syntax is RNSET [1]  [2] where');
     WriteLn('Command line parameter [1] is the set environment name, and');
     WriteLn('Command line parameter [2] is the random number range.');
     WriteLn('The maximum range number is 32,000.');
     Halt;
    end;
  var
    i, code: Integer;
          f: Text;
        out: Text;
         ch: char;

  begin
    { Get text from command line }
    Val(ParamStr(2), i, code);
    { Error during conversion to Integer? }
    if code <> 0 then
    errortext
    else
    Randomize;
  begin
    Assign(f, ParamStr(1) + '.BAT');
    Rewrite(f);
    WriteLn(f,'Set ',ParamStr(1),'=',Random(i + 1));
    Close(f);
    { Get file to read from command line }
    { Assign(f, ParamStr(1));}
    Reset(f);
    while not Eof(f) do
    begin
      Read(f,ch);
      Write(ch); { Dump text file }
    end;
  End;
 End.



